log using finalModel2, replace
dis c(filename)
dis c(pwd)
dis c(os)
dis "Stata MP ",c(version)
dis c(memory)
********************  Final Interim Mixed Model **********************
xtset id
recode gender(1=0)(2=1)
label def gn 0 "male" 1 "female"
label values gender gn
numlabel,add
tab gender
bootstrap, reps(400) seed(1234321) bca cluster(id) nodots: ///
  xtmixed radhlw agew gender oblnow phlthw illw aborw bsipsts hp2work1 hp2hmcare ///
  || id:, mle covariance(exchangeable)
eret list
log using FinalInterimModel, replace
xtset id  
bootstrap, reps(400) seed(1234321) bca cluster(id) nodots: ///
  xtmixed radhlw agew gender oblnow phlthw illw aborw bsipsts hp2work1 hp2hmcare ///
    || id:, mle covariance(exchangeable)
  
  predict rs1,rstandard  
  summ rs1,detail
  hist rs1
  estat group
  estat recovariance, correlation
  predict u0, reffects
  gen intercept = _b[_cons] + u0
  predict fit1, fitted
  twoway scatter fit1 intercept || lowess fit1 intercept
  qnorm rs1
  twoway connected fit1 wave if id < 30
  twoway connected fit1 wave if id < 60
  lowess fit1 wave
 log close
  bootstrap, reps(400) seed(1234321) bca cluster(id) nodots: ///
  xtmixed radhlw agew gender oblnow phlthw illw aborw bsipsts hp2work1 hp2hmcare ///
    || id:, mle covariance(unstructured)
predict rs2,rstandard  
  summ rs2,detail
  hist rs2
  estat group
  estat recovariance, correlation
  predict u02, reffects
  gen intercept2 = _b[_cons] + u02
  predict fit2, fitted
  twoway scatter fit2 intercept2 || lowess fit2 intercept2
  qnorm rs2
  twoway connected fit2 wave if id < 30
  twoway connected fit2 wave if id < 60
  lowess fit2 wave
  log close _all
